org.keycloak.protocol.saml

## Class JaxrsSAML2BindingBuilder.PostBindingBuilder

- java.lang.Object
- - org.keycloak.saml.BaseSAML2BindingBuilder.BasePostBindingBuilder
  - - org.keycloak.protocol.saml.JaxrsSAML2BindingBuilder.PostBindingBuilder

- Enclosing class:
    JaxrsSAML2BindingBuilder

      public class JaxrsSAML2BindingBuilder.PostBindingBuilder
      extends BaseSAML2BindingBuilder.BasePostBindingBuilder

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.BaseSAML2BindingBuilder.BasePostBindingBuilder

      `builder, document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostBindingBuilder(JaxrsSAML2BindingBuilder builder, Document document)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `request(String actionUrl)`
    `javax.ws.rs.core.Response` | `response(String actionUrl)`

    - ### Methods inherited from class org.keycloak.saml.BaseSAML2BindingBuilder.BasePostBindingBuilder

      `encoded, getDocument, getHtmlRequest, getHtmlResponse, getRelayState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostBindingBuilder

          public PostBindingBuilder(JaxrsSAML2BindingBuilder builder,
                                    Document document)
                             throws ProcessingException

      Throws:
        `ProcessingException`

  - ### Method Detail

    - #### request

          public javax.ws.rs.core.Response request(String actionUrl)
                                            throws ConfigurationException,
                                                   ProcessingException,
                                                   IOException

      Throws:
        `ConfigurationException`
        `ProcessingException`
        `IOException`

    - #### response

          public javax.ws.rs.core.Response response(String actionUrl)
                                             throws ConfigurationException,
                                                    ProcessingException,
                                                    IOException

      Throws:
        `ConfigurationException`
        `ProcessingException`
        `IOException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.